import { test, Page, expect } from '@playwright/test';
var path = require("path");

test.describe.configure({ mode: 'serial' });

import * as Helper from '../test_helper.js'

//Reuse the page among the test cases in the test script file
let page: Page;

test.beforeAll(async ({ browser }) => {
  // Create page once.
  page = await browser.newPage();
});

test.afterAll(async () => {
   await page.close();
});

  
test.beforeEach(async () => {
  await page.goto(Helper.site_url());
});

test.afterEach(async () => {
  // on individual test execution mode, don't exit browser driver session immediately.
  if (Helper.is_debugging()) {
    await Helper.sleep(5); // feel free to change wait time here
  }
});

test('User can sign in OK', async () => {
  await page.fill("#username", "agileway");
  await page.fill("#password", "testwise");
  await page.click("input:has-text('Sign in')");
  const flashText = await page.locator("#flash_notice").textContent();
  expect(flashText).toEqual('Signed in!');
});
